<?php
/*
DynPage V1.35 - A simple Content Management System
Copyright (C) 2009-2022 Matthias Wiede <mwiede@mwiede.de>

This program is free software; you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation; either version 3 of the License, or 
(at your option) any later version.

This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranty of  MERCHANTABILITY 
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, see http://www.gnu.org/licenses.
*/

$CONF_VAR = array (

	"root_path" => dirname(__FILE__),
	
	// Cache page list (better performance)
	"cache_page_list" => false,
	
	// Store files as
	"file_ext" => "htm",
	
	// Editor initialization size
	"editor_width" => 780,
	"editor_height" => 400,

	// Property files
	"conf_path" => "conf",
	"property_file" => "init.inc.php",
  "userconf_file" => "adminusers.inc.php",
		
	// Content path
	"content_path" => "content",
	
	// Default login admin:admin
	"default_login_hash" => "d2abaa37a7c3db1137d385e1d8c15fd2",
	
	// Demo mode cannot change content and requires no login
	"is_demo" => file_exists ("../is_demo.txt"),

	// CKeditor located in js/ckeditor<version>
	"ckeditor_version" => "4.5.11",
	
	// CKeditor skin
	"ckeditor_skin" => "moono",

	/* 
 	 Use CKfinder
 	 Warning! For using the CKfinder to upload files directly
 	 in CKeditor, you have read the CKFinder License, see:
	 http://ckfinder.com/license
	 
	 Otherwise the free KCfinder is used
	 http://kcfinder.sunhater.com 
   
   On PHP >= 7.2.0 only free KCFinder will work!
	*/
	"use_ckfinder" => 0,
  
  /* 
    Trash directory, let empty to disable trash.
    Deleted pages and old versions of updated pages will be stored
    in trash directory, where you can restore old versions.
  */
  "trash_path" => "content/trash",
	
	// Misc
  "timezone" => "Etc/GMT-1", // Europe/Berlin  
	"currency_name" => "EUR",
	"currency_symbol" => "&#8364;"
);

?>
