<?php
/*
DynPage V1.35 - A simple Content Management System
Copyright (C) 2009-2019 Matthias Wiede <mwiede@mwiede.de>

This program is free software; you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation; either version 3 of the License, or 
(at your option) any later version.

This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranty of  MERCHANTABILITY 
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, see http://www.gnu.org/licenses.
*/

require_once ("dynpage.inc.php");
if (file_exists ($logicFilename))
	require_once ($logicFilename);
require_once ("dynpage_menu.inc.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title>DynPage V<?php echo $dynPageVersion;?></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="robots" content="noindex,nofollow">
<link rel="stylesheet" type="text/css" href="css/style_<?php echo getConf("style","red"); ?>/style.css">
<!--[if IE]>
<style type="text/css">@import url(css/style_<?php echo getConf("style","red"); ?>/style_ie.css);</style>
<![endif]-->
<script type="text/javascript" src="js/base.js"></script>
<script type="text/javascript" src="js/menu.js"></script>
<script type="text/javascript">
function initMenu () { 
	menuItems1 = createMenuItemsFromULStruct (document.getElementById ("main_menu_content").firstChild);
	menu1 = new Menu (document.getElementById ("main_menu"), "mainmenu", 0, 0, menuItems1, true);
}
</script>
<script type="text/javascript" src="js/ckeditor<?php echo getConf("ckeditor_version","3.5"); ?>/ckeditor.js"></script>
</head>
<body onload="<?php echo $onLoad;?>">
<div id="main_menu_content" style="display:none;"><?php echo $htmlMenu;?></div>
<div class="main_frame">  
  <div id="main_menu"></div>
	<script type="text/javascript">initMenu();</script>
  <div class="content"> 
		<?php require_once ("dynpage.security_check.inc.php"); ?>
    <?php if (!$fSecurityProblems) { include ($contentFilename); }; ?>
  </div>
</div>
<div class="footer">DynPage V<?php echo $dynPageVersion;?>&nbsp;&copy;&nbsp;2009&nbsp;-&nbsp;<?php echo date ('Y');?>&nbsp;<a href="http://www.dynpage.net" target="_blank">www.dynpage.net</a><?php if (isLogin ()) { ?> | DynPage is registered under <a href="?page=about">GPL license</a>.<?php } ?></div>
</body>
</html>