/**
 * @license Copyright (c) 2003-2016, CKSource - Frederico Knabben. All rights reserved.
 * For licensing, see LICENSE.md or http://ckeditor.com/license
 */

CKEDITOR.editorConfig = function( config ) {
	// Define changes to default configuration here.
	// For complete reference see:
	// http://docs.ckeditor.com/#!/api/CKEDITOR.config

	// The toolbar groups arrangement, optimized for two toolbar rows.
	config.toolbarGroups = [
		{ name: 'clipboard',   groups: [ 'clipboard', 'undo' ] },
		{ name: 'editing',     groups: [ 'find', 'selection', 'spellchecker' ] },
		{ name: 'links' },
		{ name: 'insert' },
		{ name: 'forms' },
		{ name: 'tools' },
		{ name: 'document',	   groups: [ 'mode', 'document', 'doctools' ] },
		{ name: 'others' },
		'/',
		{ name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ] },
		{ name: 'paragraph',   groups: [ 'list', 'indent', 'blocks', 'align', 'bidi' ] },
		{ name: 'styles' },
		{ name: 'colors' },
		{ name: 'about' }
	];

	// Remove some buttons provided by the standard plugins, which are
	// not needed in the Standard(s) toolbar.
	config.removeButtons = 'Underline,Subscript,Superscript';

	// Set the most common block elements.
	config.format_tags = 'p;h1;h2;h3;pre';

	// Simplify the dialog windows.
	config.removeDialogTabs = 'image:advanced;link:advanced';
};


CKEDITOR.editorConfig = function( config ) {
	// Define changes to default configuration here. For example:
	// config.language = 'fr';
	// config.uiColor = '#AADC6E';
	config.toolbar = 'CMS';
	config.allowedContent = true;
	
	config.toolbar_CMS =
	[
		['Source','Preview','RemoveFormat','FitWindow','ShowBlocks','About'],
		'/',
		['Bold','Italic','Underline','StrikeThrough','Subscript','Superscript'],
		['OrderedList','UnorderedList','Outdent','Indent','Blockquote','CreateDiv'],
		['JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock','NumberedList','BulletedList', 'TextColor'],
		['Link','Unlink','Anchor'],
		['Image','Flash','Table','Rule','Smiley','SpecialChar','PageBreak','Styles','Format', 'oembed']	// No comma for the last row.
	];


	config.stylesCombo_stylesSet = 'cms_styles';

	config.filebrowserBrowseUrl = 'js/kcfinder/browse.php?type=files';
	config.filebrowserImageBrowseUrl = 'js/kcfinder/browse.php?type=images';
	config.filebrowserFlashBrowseUrl = 'js/kcfinder/browse.php?type=flash';
	config.filebrowserUploadUrl = 'js/kcfinder/upload.php?type=files';
	config.filebrowserImageUploadUrl = 'js/kcfinder/upload.php?type=images';
	config.filebrowserFlashUploadUrl = 'js/kcfinder/upload.php?type=flash';
	
	config.extraPlugins = 'justify';
};
