<?php

/** This file is part of KCFinder project
  *
  *      @desc Base configuration file
  *   @package KCFinder
  *   @version 2.51
  *    @author Pavel Tzonkov <pavelc@users.sourceforge.net>
  * @copyright 2010, 2011 KCFinder Project
  *   @license http://www.opensource.org/licenses/gpl-2.0.php GPLv2
  *   @license http://www.opensource.org/licenses/lgpl-2.1.php LGPLv2
  *      @link http://kcfinder.sunhater.com
  */

// IMPORTANT!!! Do not remove uncommented settings in this file even if
// you are using session configuration.
// See http://kcfinder.sunhater.com/install for setting descriptions
error_reporting(0);
session_start ();
$fDisabled=!(isset ($_SESSION["dynpage_is_login"]) && $_SESSION["dynpage_is_login"]);
$fDemo = (isset ($_SESSION["dynpage_is_demo"]) && $_SESSION["dynpage_is_demo"]);
$url  = "http://".$_SERVER['HTTP_HOST'].$_SERVER["REQUEST_URI"];
$path = parse_url($url, PHP_URL_PATH);
$p = strpos ($path, "/dynpage/js/kcfinder/browse.php");
if ($p!==false)
	$path = substr ($path,0, $p)."/dynpage_upload"; // js\dynpage\js\kcfinder
else
	$path = "/dynpage_upload";
	
$_CONFIG = array(

    'disabled' => $fDisabled,
    'denyZipDownload' => false,
    'denyUpdateCheck' => false,
    'denyExtensionRename' => false,

    'theme' => "oxygen",

    'uploadURL' => $path,
    'uploadDir' => "../../../dynpage_upload/",

    'dirPerms' => 0755,
    'filePerms' => 0644,

    'access' => array(

        'files' => array(
            'upload' => !$fDemo,
            'delete' => !$fDemo,
            'copy' => !$fDemo,
            'move' => !$fDemo,
            'rename' => !$fDemo
        ),
        'dirs' => array(
            'create' => !$fDemo,
            'delete' => !$fDemo,
            'rename' => !$fDemo
        )
    ),

    'deniedExts' => "exe com msi bat php phps phtml php3 php4 cgi pl sh",

    'types' => array(
				'files'    =>  "",
        // TinyMCE types
        'images'   =>  "*img",
        'file'    =>  "",
        'media'   =>  "swf flv avi mpg mp3 mpeg qt mov wmv asf rm mp4"

    ),

    'filenameChangeChars' => array(
        ' ' => "_",
        ':' => ".",
        'ß' => 'ss',
        'ä' => 'ae',
        'Ä' => 'AE',
        'ö' => 'oe',
        'Ö' => 'OE',
        'ü' => 'ue',
        'Ü' => 'UE'
    ),

    'dirnameChangeChars' => array(/*
        ' ' => "_",
        ':' => "."
    */),

    'mime_magic' => "",

    'maxImageWidth' => 1920,
    'maxImageHeight' => 1080,

    'thumbWidth' => 100,
    'thumbHeight' => 100,

    'thumbsDir' => ".thumbs",

    'jpegQuality' => 90,

    'cookieDomain' => "",
    'cookiePath' => "",
    'cookiePrefix' => 'KCFINDER_',

    // THE FOLLOWING SETTINGS CANNOT BE OVERRIDED WITH SESSION CONFIGURATION
    // '_check4htaccess' => true,
    '_tinyMCEPath' => "js/tinymce",

    '_sessionVar' => &$_SESSION['KCFINDER'],
    //'_sessionLifetime' => 30,
    //'_sessionDir' => "/full/directory/path",

    //'_sessionDomain' => ".mysite.com",
    //'_sessionPath' => "/my/path",
);

?>