<?php
/*
DynPage V1.35 - A simple Content Management System
Copyright (C) 2009-2019 Matthias Wiede <mwiede@mwiede.de>

This program is free software; you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation; either version 3 of the License, or 
(at your option) any later version.

This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranty of  MERCHANTABILITY 
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, see http://www.gnu.org/licenses.
*/

function splitFilename ($filename) {
	$list = explode (".", $filename);
	if (count($list)>1) {
		$i    = count($list)-1; 			
		$ext  = $list[$i]; 
		$name = "";
		for ($j=0;$j<$i;$j++) {
			$name.=$list[$j];
			if (($j+1)<$i)
				$name.=".";
		}			
		return array ($name, $ext);
	}
	return array ($filename, "");
}

function createFilename ($id, $filename, $prefix, $ext) {	
	if ($filename=="")
		return $prefix.$id.".".$ext;
	else {
		$list = splitFilename ($filename);
		$name = $list[0];
		$ext2 = $list[1];
		if ($ext2=="")
			$ext2=$ext;
		return $name.".".$ext;
	}
}

function getFileExtension ($filename) {
	$list = splitFilename ($filename);
	return $list[1];
}

function formatKBText ($sizeBytes) {
	if ($sizeBytes>=1048576)
		return round ($sizeBytes / 1048576, 1)." MB";
	else	
		return round ($sizeBytes / 1024)." KB";		
}

function createWebsiteLink ($value, $fOnlyLink=false) {
	if ($value=="")
		return "";
	$protocolList = array ("http://", "https://");
	$found = false;
	foreach ($protocolList as $protocol) {
		$pos = strpos ($value, $protocol);
		if ($pos !== false && $pos==0)
			$found = true;
	}
	if (!$found) {
		$pos = strpos ($value, "www");
		if ($pos === false || $pos!=0)
			$link="http://www.".$value;
		else
			$link="http://".$value;	
	}
	else
		$link=$value;
	if (!$fOnlyLink)
		return "<a href=\"".$link."\" target=\"_blank\">".$value."</a>"; 
	return $link;
}

function formatCSVText ($text, $maxChars=0) {
	$str = str_replace("\r\n", " ", $text); // replace line feeds
	$str = str_replace("\n", " ", $str); // replace line feeds
	if ($maxChars>0)
		$str = substr ($str, 0, $maxChars);
	return "\"".str_replace("\"", "\"\"", $str)."\"";
}

?>
