<?php
/*
DynPage V1.35 - A simple Content Management System
Copyright (C) 2009-2019 Matthias Wiede <mwiede@mwiede.de>

This program is free software; you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation; either version 3 of the License, or 
(at your option) any later version.

This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranty of  MERCHANTABILITY 
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, see http://www.gnu.org/licenses.
*/

if (!defined ('DYNPAGE_LOGIN') || DYNPAGE_LOGIN!=1) {
	exit;
}
require_once ("lib/input.inc.php");

$onLoad = "javascript:document.getElementById ('focus_id').focus();";

$FIELDS = array 
(
	"password_new" =>  "0;s;m",
	"password_new2" =>  "0;s;m",
	"email" => "0;e;m;",
	"create_pages" => "0;f;*",
	"file_uploads" => "0;f;*",
	"delete_pages" => "0;f;*",
	"all_pages" => "0;f;*"
);

if ($cmd=="edit") {
  unset ($FIELDS["password_new"]);
  unset ($FIELDS["password_new2"]);
}

$values=array ();
$errors=array ();
$save = (int) getParam ("save");

$fShowErrors = false;
if ($save)
	$fShowErrors = true;
$errCnt  = loadInputParams ($FIELDS, $values, 0, $errors, true, $fShowErrors);


$errText = "";
$successText = "";


$pageList = getParam("pageList");
if (!is_array ($pageList))
  $pageList = array ();
$pageList2 = array ();

// Load selected user
$currUserData = array ();
$email = getParam ("email");
if (isset ($userList[$email])) {
  $currUserData = $userList[$email];
  if (!$save || $cmd=="password")
    $pageList = $currUserData["fileList"];
}

if (!$save && isset ($userList[$email])) {

  $values["email"] = $currUserData["email"];
  $values["create_pages"] = $currUserData["create_pages"];
  $values["file_uploads"] = $currUserData["file_uploads"];
  $values["delete_pages"] = $currUserData["delete_pages"];
  $values["all_pages"] = $currUserData["all_pages"];
}

// Create page selection list
foreach ($pageList as $idx => $filename) {
	$pageList2[basename($filename)]=$filename;
}

$htmlPageSelect = "";
foreach ($_SESSION["pageFileList"] as $idx => $data) {
  $htmlPageSelect.='<option value="'.basename($data["filename"]).'" '.(isset ($pageList2[basename($data["filename"])]) ? 'selected="selected"' : '').'>'.htmlspecialchars ($data["name"]).'</option>';
}
$htmlPageSelect = '
<select name="pageList[]" multiple="multiple" style="min-width:300px;">
  '.$htmlPageSelect.'
</select>
';




switch ($cmd) 
{
  case "new":
    loadPageList (true, false);
    $values["create_pages"]=1;
    break;
    
  case "delete":
  	if (isDemo ()) {
			$errText = "Cannot remove administrators in Demo mode.";		
		}
    else {
      unset ($userList[$email]);
      if (updateUserDatabase ())
        $successText = "User ".$email." was deleted.";
    }
    break;      
}

if ($save)
{
	if ($errCnt>0)
		$errText = "Please check marked fields.";
	else
	if (isDemo ()) {
		$errText = "Cannot create administrators in Demo mode.";		
	}
	else
	{
    if ($cmd=="new" && strtolower ($values["email"])==strtolower (getConf ("admin_email"))) {
			$errText = "E-Mail address just exists for supervisor.";
    }   
    else
    if ($cmd=="new" && isset ($userList[$values["email"]])) {
			$errText = "E-Mail address just exists for another user.";
    }    
    else		
		if (($cmd=="new" || $cmd=="password") && strlen ($values["password_new"])<5) {
			$errText = "New password must have at least 5 characters.";		
		}
		else
		if (($cmd=="new" || $cmd=="password") && $values["password_new"]!=$values["password_new2"]) {
			$errText = "Replied password is not correct.";
		}
		else
		{
      
      $fh = fopen ($userConfFilename, "w+");                
      if ($fh) {
        $hash = "";
        if (isset ($currUserData["hash"])) {
          $hash = $currUserData["hash"];
        }
        unset ($userList[$values["email"]]);
      
        // Save exiting user in file
        fwrite ($fh, "<?php\r\n"); 
        foreach ($userList as $email => $userData) {
          fwrite ($fh, "// ".$userData["line"]."\r\n");
        }
        // Save new
        if ($cmd=="new" || $cmd=="password") {
          $hash = md5 ($values["email"].":".$values["password_new"]);
        }
        if ($cmd=="password")
          $line = "// ".strtolower ($values["email"]).";".$hash.";".$currUserData["create_pages"].";".$currUserData["file_uploads"].";".$currUserData["delete_pages"].";".$currUserData["all_pages"].";;;;;";        
        else
          $line = "// ".strtolower ($values["email"]).";".$hash.";".$values["create_pages"].";".$values["file_uploads"].";".$values["delete_pages"].";".$values["all_pages"].";;;;;";
        foreach ($pageList as $idx => $filename) {
          $line.=$filename.";";
        }
        fwrite ($fh, $line."\r\n");
        fwrite ($fh, chr(63).">"); 
        fclose ($fh);
        
        $userList[$values["email"]]=$values;
      }  
      /*
			$hashNew = md5 ($values["admin_email"].":".$values["dynpage_password_new"]);
			setConf ("user_".$values["admin_email"], $);
      */
			$successText = "User ".$values["email"]." was saved.";
		}
	}
}

// Create user list
ksort ($userList);
$htmlUserList = "";
foreach ($userList as $email => $userData) {
  $htmlUserList.='
    <tr>
      <td>'.htmlspecialchars ($email).'</td>
      <td style="text-align:right;font-size:11pt;"><a href="?page=config_adminusers&cmd=edit&email='.$userData["email"].'">Set user rights</a> | <a href="?page=config_adminusers&cmd=password&email='.$userData["email"].'">Change password</a> | <a onclick="if (confirm(\'Do you want to delete user: '.$email.'\')) { return true; } else { return false; }" href="?page=config_adminusers&cmd=delete&email='.$userData["email"].'">Remove</a></td>
    </tr>  
  ';
}

if (!empty ($htmlUserList)) {

  $htmlUserList='<table class="data_tbl" style="width:100%;">
    <tr class="header">
      <td>Username / E-Mail address</td>
      <td>Actions</td>
    </tr>
  '.$htmlUserList.'</table>';
}

?>
