<?php
/*
DynPage V1.35 - A simple Content Management System
Copyright (C) 2009-2019 Matthias Wiede <mwiede@mwiede.de>

This program is free software; you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation; either version 3 of the License, or 
(at your option) any later version.

This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranty of  MERCHANTABILITY 
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, see http://www.gnu.org/licenses.
*/

if (!defined ('DYNPAGE_LOGIN')) {
	exit;
}
require_once ("lib/input.inc.php");

$onLoad = "javascript:document.getElementById ('focus_id').focus();";

$FIELDS = array 
(
	"dynpage_password_old" =>  "0;s;m",
	"dynpage_password_new" =>  "0;s;m",
	"dynpage_password_new2" =>  "0;s;m",
	"admin_email" => "0;e;m;".(DYNPAGE_LOGIN==1 ? getConf ("admin_email", "admin") : $loginUserData["email"])
);


$values=array ();
$errors=array ();

$fShowErrors = false;
if ($cmd=="changepwd")
	$fShowErrors = true;
$errCnt  = loadInputParams ($FIELDS, $values, 0, $errors, true, $fShowErrors);

$errText = "";
$successText = "";

switch ($cmd) 
{
	case "changepwd":
    $values["admin_email"] = strtolower ($values["admin_email"]);
		if ($errCnt>0)
			$errText = "Please check marked fields.";
		else
		if (isDemo ()) {
			$errText = "Cannot change password in Demo mode.";		
		}
    else
    if (DYNPAGE_LOGIN==1 && isset ($userList[$values["admin_email"]])) {
			$errText = "E-Mail address just exists for administrator.";		    
    }
		else
		{
      $superHash = getConf ("login_hash", getConf ("default_login_hash")); 
      if (DYNPAGE_LOGIN==1) {
  			$hashOld = md5 (getConf ("admin_email", "admin").":".$values["dynpage_password_old"]);
	   		$hashOld2 = md5 ("admin:".$values["dynpage_password_old"]);
        if ($superHash!=$hashOld && $superHash!=$hashOld2) {
  				$errText = "Old password is not correct.";
  			}
			}
      else {
  			$hashOld = md5 ($loginUserData["email"].":".$values["dynpage_password_old"]);
        if ($userList[$loginUserData["email"]]["hash"]!=$hashOld) {
          $errText = "Old password is not correct.";
        }
      }
      
      if (!empty ($errText))
        break;
			
			if (strlen ($values["dynpage_password_new"])<5) {
				$errText = "New password must have at least 5 characters.";		
			}
			else
			if ($values["dynpage_password_new"]!=$values["dynpage_password_new2"]) {
				$errText = "Replied password is not correct.";
			}
			else
			{
        if (DYNPAGE_LOGIN==1) {
  				$hashNew = md5 ($values["admin_email"].":".$values["dynpage_password_new"]);
  				setConf ("login_hash", $hashNew);
  				setConf ("admin_email", $values["admin_email"]);
        }
        else {
          $hashNew = md5 ($loginUserData["email"].":".$values["dynpage_password_new"]);
          $userList[$loginUserData["email"]]["hash"]=$hashNew;
          
          updateUserDatabase ();
        }
				$successText = "Your password was changed.";
			}
		}
		break;
}
$values["dynpage_password_old"] = "";
$values["dynpage_password_new"] = "";
$values["dynpage_password_new2"] = "";
?>