<?php
/*
DynPage V1.35 - A simple Content Management System
Copyright (C) 2009-2019 Matthias Wiede <mwiede@mwiede.de>

This program is free software; you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation; either version 3 of the License, or 
(at your option) any later version.

This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranty of  MERCHANTABILITY 
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, see http://www.gnu.org/licenses.
*/

if (!defined ('DYNPAGE_LOGIN') || DYNPAGE_LOGIN!=1) {
	exit;
}
$trashDir = getConf ("trash_path");

$deletedFileList = array ();
if (!empty ($trashDir)) {
  
  // Restore page if needed
  $restoreFilename = getParam ("restore");
  if (!empty ($restoreFilename)) {
    if (isDemo ()) {
			$errText = "Cannot restore deleted pages in Demo mode.";		
		}
    else {
      $restoreFilename = str_replace ("..", "", $restoreFilename);
      list ($tmp, $date, $origFilename)=explode ("-", $restoreFilename);
      $trashFilename = $trashDir."/".$restoreFilename;
      $dstFilename = getConf ("content_path")."/".$origFilename;
      $pageData = getPageData ($trashFilename, true);
      
      if (!is_file ($dstFilename)) {
        rename ($trashFilename, $dstFilename);
        $successText = 'Page with filename \''.$origFilename.'\' ('.$pageData["name"].') was restored.';
        loadPageList (true, true);
      }
      else {
        $errText = 'A page with filename \''.$origFilename.'\' just exists. Cannot be overwritten.';
      }
    }
  }
  
  $removeFilename = getParam ("delete");
  if (!empty ($removeFilename)) {
    if (isDemo ()) {
			$errText = "Cannot remove deleted pages in Demo mode.";		
		}
    else {  
      $removeFilename = str_replace ("..", "", $removeFilename);
      list ($tmp, $date, $origFilename)=explode ("-", $removeFilename);
      $trashFilename = $trashDir."/".$removeFilename;
      if (is_file ($trashFilename)) {
        unlink ($trashFilename);      
        if ($dh = opendir($trashDir)) {
        	while (false !== ($filename = readdir($dh))) {
            if (strpos ($filename, "old-")===0) {
              list ($tmp, $date, $origFilename2)=explode ("-", $filename);
              if ($origFilename==$origFilename2)
                unlink ($trashDir."/".$filename);
            }
        	}
        	closedir($dh);
        }      
        $successText = 'Page with filename \''.$origFilename.'\' was removed permanently.';  
      }  
    }
  }

  // Load deleted files
  if ($dh = opendir($trashDir)) {
  	while (false !== ($filename = readdir($dh))) {
      if (strpos ($filename, "deleted-")===0) {
        list ($tmp, $date, $origFilename)=explode ("-", $filename);

        // $date2 = substr ($date,0,4)."-".substr ($date,4,2)."-".substr ($date,6,2)." ".substr ($date,8,2).":".substr ($date,10,2).":".substr ($date,12,2);
        $deletedFileList[$filename]=filemtime ($trashDir."/".$filename);
      }
  	}
  	closedir($dh);
  }
}
arsort ($deletedFileList);
$htmlTrashList = "";
foreach ($deletedFileList as $filename => $filetime) {
  list ($tmp, $date, $origFilename)=explode ("-", $filename);
  // Create trash list
  $htmlTrashList.= '
    <tr>
      <td>'.htmlspecialchars ($origFilename).'</td>
      <td>'.htmlspecialchars (date ("Y-m-d H:i:s", $filetime)).'</td>
      <td><a onclick="if (confirm (\'Do you want to restore '.$origFilename.'?\')) return true; else return false;" href="?page=trash&restore='.$filename.'">Restore</a> | <a onclick="if (confirm (\'Do you want to remove '.$origFilename.' permanently?\')) return true; else return false;" href="?page=trash&delete='.$filename.'">Remove</a></td>
    </tr>
  ';
}

if (!empty ($htmlTrashList)) {

  $htmlTrashList='<table class="data_tbl" style="width:100%;">
    <tr class="header">
      <td style="width:50%;">File</td>
      <td>Deleted</td>
      <td  style="width:20%;">Actions</td>
    </tr>
  '.$htmlTrashList.'</table>';
}
else {
  $htmlTrashList = '<p>No deleted pages.</p>';
}


?>
